Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1098950 - Review Request: vinterm - Vintage-style terminal emulator
Summary: Review Request: vinterm - Vintage-style terminal emulator
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-05-19 08:31 UTC by Christopher Meng
Modified: 2016-03-09 22:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-09 22:42:36 UTC


Attachments (Terms of Use)

Description Christopher Meng 2014-05-19 08:31:00 UTC
Spec URL: http://misc.cicku.me/fedora/vinterm.spec
SRPM URL: http://misc.cicku.me/fedora/vinterm-0.5.0-1.fc21.src.rpm
Description: Vintage Terminal is a terminal emulator that simulates the looks of 
a 1980s monitor.

Vintage Terminal has the following features:
- Full terminal capabilities implemented;
- Scaling (zoom) with the argument -s;
- Window resize/maximize;
- Full screen (CTRL + F11) and full screen with 80 columns 
(CTRL + SHIFT + F11);
- UNICODE support (no unicode font yet) (new in 0.4.0);
- Has a authentic old look based on a IBM 5151 monitor.

Fedora Account System Username: cicku

Comment 1 Jerry James 2014-07-07 20:23:25 UTC
I can't see the spec file or source RPM from here:

$ host www.cicku.me
www.cicku.me is an alias for cicku.me.
cicku.me has address 192.161.49.16
cicku.me mail is handled by 10 mailstore1.asia.secureserver.net.
cicku.me mail is handled by 0 smtp.asia.secureserver.net.
$ host misc.cicku.me
Host misc.cicku.me not found: 3(NXDOMAIN)

Comment 2 Christopher Meng 2014-07-08 06:29:53 UTC
(In reply to Jerry James from comment #1)
> I can't see the spec file or source RPM from here:
> 
> $ host www.cicku.me
> www.cicku.me is an alias for cicku.me.
> cicku.me has address 192.161.49.16
> cicku.me mail is handled by 10 mailstore1.asia.secureserver.net.
> cicku.me mail is handled by 0 smtp.asia.secureserver.net.
> $ host misc.cicku.me
> Host misc.cicku.me not found: 3(NXDOMAIN)

Infra changed.

Spec URL: http://us-la.cicku.me/vinterm.spec
SRPM URL: http://us-la.cicku.me/vinterm-0.5.0-1.fc21.src.rpm

Comment 3 Jerry James 2014-07-09 15:59:07 UTC
Issues:
1. LICENSE is not included in %doc.  (Neither are other potentially
   interesting files, such as AUTHORS, NEWS, and README.)
2. The license should be GPLv3+, not GPLv3.  See the help text in options.cc.
3. Note the fedora-review complaint about unowned directory
   /usr/share/terminfo/v.  That directory is owned by the ncurses-base package.
   Should this package "Requires: ncurses-base"?
4. The sed invocation to add %{optflags} to config.mk does not seem to have
   had any effect.  I do not see our flags in use in the build log.
5. vinterm_profile is executable in the source dir, but loses its executable
   bits when installed; see the rpmlint warning about a non-executable script.
6. The file %{_datadir}/vinterm/vinterm.info should instead be installed into
   %{_infodir}.  You will also need to add these bits to the spec file:
   Requires(post): info
   Requires(preun): info

   %post
   /sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

   %postun
   /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :

   %files
   %{_infodir}/%{name}.info*

   Be sure the package does NOT own %{_infodir}/dir.

7. Extremely minor quibble: although it is a direct quote from README, the
   last line of %description should contain the phrases "an authentic" and "an
   IBM", rather than "a authentic" and "a IBM".

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 37 files have unknown license. Detailed output of
     licensecheck in /home/jamesjer/1098950-vinterm/licensecheck.txt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/terminfo/v,
     /usr/share/terminfo
[!]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in vinterm
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     But there is no upstream test suite, so this is expected.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vinterm-0.5.0-1.fc21.x86_64.rpm
          vinterm-0.5.0-1.fc21.src.rpm
vinterm.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
vinterm.x86_64: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
vinterm.x86_64: E: non-executable-script /usr/share/vinterm/vinterm_profile 0644L /bin/sh
vinterm.src: W: spelling-error %description -l en_US resize -> reside, re size, re-size
vinterm.src: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
2 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint vinterm
vinterm.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
vinterm.x86_64: W: spelling-error %description -l en_US unicode -> Unicode, uni code, uni-code
vinterm.x86_64: E: non-executable-script /usr/share/vinterm/vinterm_profile 0644L /bin/sh
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
vinterm (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libSDL-1.2.so.0()(64bit)
    libX11.so.6()(64bit)
    libao.so.4()(64bit)
    libao.so.4(LIBAO4_1.1.0)(64bit)
    libc.so.6()(64bit)
    libconfig++.so.9()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libutil.so.1()(64bit)
    rtld(GNU_HASH)



Provides
--------
vinterm:
    application()
    application(vinterm.desktop)
    vinterm
    vinterm(x86-64)



Source checksums
----------------
https://vinterm.googlecode.com/files/vinterm-0.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 081e0059c8433ad09e1f36d2df1d717c9d342cdb7041669064b9451ad288bed1
  CHECKSUM(SHA256) upstream package : 081e0059c8433ad09e1f36d2df1d717c9d342cdb7041669064b9451ad288bed1


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1098950 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Jerry James 2016-02-18 03:33:28 UTC
Christopher, do you have any intention of continuing with this review?

Comment 5 Jerry James 2016-03-09 22:42:36 UTC
Closing due to lack of response from the submitter.  Reopen this bug if you wish to continue the review.


Note You need to log in before you can comment on or make changes to this bug.